<?php

use CustomForm\FormField;

class bForm_field extends BackModule
{
    function bForm_field($formvars = array())
    {
        parent::BackModule($formvars);
    }

    function update($formvars = array(), $table = null, $langue = true)
    {
        parent::update_multi($formvars, $table, $langue);
    }

    function create($formvars = array(), $table = null, $langue = true)
    {
        $id = parent::create_multi($formvars, $table, $langue);

        return $id;
    }

    function delete($formvars = array(), $table = null, $langue = true)
    {
        parent::delete_multi($formvars);
    }

    function Form($formvars = array())
    {

        if (empty($formvars['id'])) {
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('addForm') . "'>Ajout d'un nouveau champs</a></span>";
        } else {
            $sql = "SELECT form_field_nom_nom as data FROM form_field_nom WHERE form_field_id = '" . $formvars['id'] . "' AND langue_id = '" . LANGUE . "'";
            $this->sql->query($sql, SQL_ALL, SQL_ASSOC);
            $data = $this->sql->record[0];
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('modForm',
                    array('id' => $formvars['id'])) . "'>Edition du champs : <strong>" . $data['data'] . "</strong></a></span>";
        }

        // SQL
        if (!empty($formvars['id'])) {
            $sql = getTableMutli('form_field', $formvars['id']);
            $this->request = $sql;

            $field = $this->sql->getOne($sql);
        }

        if (!empty($formvars['form'])) {
            $form = new BackForm("Form", 'hidden', 'form_id');
            $this->addForm($form);
        } elseif (empty($formvars['id'])) {
            $q = new Query();

            $q
                ->select(
                    'f.form_id',
                    'fn.form_nom_nom'
                )
                ->from('form')
                ->leftJoin('form_nom', "AND", ['fn.form_id', 'f.form_id'], ['fn.langue_id', LANGUE])
            ;

            $form = new BackForm("Form", "select", "form_id");
            $form->addOptionSQL([$q->build()]);
            $this->addForm($form);
        }

        $form = new BackForm("Status", 'select', "form_field_statut_id");
        $arr = [
            1 => 'Active',
            0 => 'Disabled',
        ];
        foreach ($arr as $value => $name) {
            $form->addOption($value, $name);
        }
        $this->addForm($form);


        $form = new BackForm("Rank", 'text', "form_field_rang");
        $this->addForm($form);

        $form = new BackForm("Type", 'select', "form_field_type_id");
        $form->addOptionSQL(["SELECT form_field_type_id, form_field_type_libelle FROM form_field_type"]);
        $this->addForm($form);

        $form = new BackForm("Width", 'select', "form_field_width_id");
        $form->addOptionSQL(["SELECT form_field_width_id, form_field_width_libelle FROM form_field_width"]);
        $this->addForm($form);

        $form = new BackForm("Name", 'text', 'form_field_nom_nom');
        $form->setVar('translate', true);
        $this->addForm($form);

        $form = new BackForm("Boutiques", "group");
        $form->addGroupOpts('class', 'form_field_boutique');
        $this->addForm($form);

        $form = new BackForm("Constraints", "group");
        $form->addGroupOpts('class', 'form_field_constraint');
        $this->addForm($form);

        if (!empty($field) && FormField::typeHasOption($field['form_field_type_id'])) {
            $form = new BackForm("Options", "group");
            $form->addGroupOpts('class', 'form_field_options');
            $this->addForm($form);
        }

        //-- Champs du formulaire
        if (!isset($formvars['id'])) {
            $formvars['id'] = 0;
        }

        return $this->displayForm($formvars['id']);
    }

    function Listing($formvars = array())
    {
        $q = new Query();

        $q
            ->select(
                'f.form_id',
                'fn.form_nom_nom'
            )
            ->from('form')
            ->leftJoin('form_nom', "AND", ['fn.form_id', 'f.form_id'], ['fn.langue_id', LANGUE])
        ;

        $form = new BackForm("Form", "select", "ff.form_id");
        $form->addOptionSQL([$q->build()]);
        $this->addForm($form);

        $q = new Query();
        $boutique = Boutique::getInstance();
        $q->select(
                'ff.form_field_id',
                'ff.form_field_id',
                'ffn.form_field_nom_nom',
                'fft.form_field_type_libelle'
            )
            ->from('form_field')
            ->leftJoin('form_field_type', 'fft.form_field_type_id', 'ff.form_field_type_id')
            ->leftJoin('form_field_nom', "AND", ['ffn.form_field_id', 'ff.form_field_id'], ['ffn.langue_id', LANGUE])
        ;

        if (!empty($formvars['form'])) {
            $q->where('ff.form_id', $formvars['form']);
        }

        $this->request = $q->build();
        //-- SQL
        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("NOM");
        $this->addLabel($label);

        $label = new BackLabel("TYPE");
        $this->addLabel($label);

        return $this->displayList($formvars['type']);
    }

//--
}