<?php

use Phinx\Migration\AbstractMigration;

class BackModuleForm extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $this->table('back_module')
            ->insert(
                [
                    [
                        'module_parent_id' => 246,
                        'module_nom' => 'Manage Forms',
                        'module_titre' => 'Forms',
                        'module_page' => 'form',
                        'module_rang' => '130',
                        'actif_id' => 1,
                        'module_order' => 2,
                        'module_bases' => 'form|form_nom'
                    ],
                    [
                        'module_parent_id' => 246,
                        'module_nom' => 'Manage Forms Boutique',
                        'module_titre' => 'Forms Boutique',
                        'module_page' => 'form_boutique',
                        'module_rang' => '130',
                        'actif_id' => 2,
                        'module_order' => 2,
                        'module_bases' => 'form_boutique'
                    ],
                    [
                        'module_parent_id' => 246,
                        'module_nom' => 'Manage Form Fields',
                        'module_titre' => 'Form Fields',
                        'module_page' => 'form_field',
                        'module_rang' => '130',
                        'actif_id' => 2,
                        'module_order' => 2,
                        'module_bases' => 'form_field|form_field_nom'
                    ],
                    [
                        'module_parent_id' => 246,
                        'module_nom' => 'Manage Form Fields Boutique',
                        'module_titre' => 'Form Fields Boutique',
                        'module_page' => 'form_field_boutique',
                        'module_rang' => '130',
                        'actif_id' => 2,
                        'module_order' => 2,
                        'module_bases' => 'form_field_boutique'
                    ],
                    [
                        'module_parent_id' => 246,
                        'module_nom' => 'Manage Form Field Constraints',
                        'module_titre' => 'Form Fields Constraints',
                        'module_page' => 'form_field_constraint',
                        'module_rang' => '130',
                        'actif_id' => 2,
                        'module_order' => 2,
                        'module_bases' => 'form_field_constraint'
                    ],
                    [
                        'module_parent_id' => 246,
                        'module_nom' => 'Manage Form Field Constraints Boutique',
                        'module_titre' => 'Form Fields Constraints Boutique',
                        'module_page' => 'form_field_constraint_boutique',
                        'module_rang' => '130',
                        'actif_id' => 2,
                        'module_order' => 2,
                        'module_bases' => 'form_field_constraint_boutique'
                    ],
                    [
                        'module_parent_id' => 246,
                        'module_nom' => 'Manage Form Field Options',
                        'module_titre' => 'Form Field Options',
                        'module_page' => 'form_field_option',
                        'module_rang' => '130',
                        'actif_id' => 2,
                        'module_order' => 2,
                        'module_bases' => 'form_field_option|form_field_option_nom'
                    ],
                    [
                        'module_parent_id' => 246,
                        'module_nom' => 'Manage Form Response',
                        'module_titre' => 'Form Response',
                        'module_page' => 'form_response',
                        'module_rang' => '130',
                        'actif_id' => 2,
                        'module_order' => -3,
                        'module_bases' => 'form_response'
                    ],
                ]
            )
            ->saveData()
        ;
    }
}
